<?php
namespace App\User;

class LoginService {

  public function __construct(UsersRepository $usersRepository) {
    $this->usersRepository = $usersRepository;  // LoginService hat jetzt Zugriff auf DB
  }

  public function check() {
    if (isset($_SESSION['login'])) {
      return true;
    } else {
        header("Location: login");
        //die();  // hier könnte auch eine exeption ausgeführt werden
      }
  }

  function getUser($id) {
  	global $pdo;
  	$_SESSION['userid'] = $id;
  	$statement = $pdo->prepare("SELECT * FROM users WHERE id = :id");
  	$result = $statement->execute(array('id' => $_SESSION['userid']));
  	$user = $statement->fetch();
  	return $user;
  }

  public function getAllUsers() {
    $users = $this->usersRepository->allUserNames();
    return $users;
  }

  public function saveOneUser() {
    $msg = $this->usersRepository->saveUserData();
    //echo $msg;
    return $msg;
  }


  public function attempt($username, $password)  {
    $user = $this->usersRepository->findByUserName($username); // user aus db
    if(empty($user)) {
        return false;   // Nutzer nicht vorhanden
    }
    if (password_verify($password, $user->password )) { //echo ("Login erfolgreich!");
      $_SESSION['login'] = $user->username;
      $_SESSION['id'] = $user->id;
      $_SESSION['rechte'] = $user->rechte;
      $_SESSION['seite'] = $user->seite;
      //session_regenerate_id(true);
      return true;    // Login erfolgreich
    } else {
      return false;
    }
  }

  public function index() {
    unset($_SESSION['login']);
    //unset($_SESSION['id']);
    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }

  public function logout() {
    unset($_SESSION['login']);
    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }

  public function hbc() {
    unset($_SESSION['login']);
//    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }

  public function stb() {
    unset($_SESSION['login']);
    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }

  public function fotos() {
    unset($_SESSION['login']);
    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }

  public function blog() {
    unset($_SESSION['login']);
    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }

  public function admin() {
    unset($_SESSION['login']);
    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }

  public function settings() {
    //unset($_SESSION['login']);
    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }
/*
  public function ostfriesland() {
    unset($_SESSION['login']);
    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }

  public function rheinruhr() {
    unset($_SESSION['login']);
    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }

  public function nordpark() {
    unset($_SESSION['login']);
    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }

  public function natur() {
    unset($_SESSION['login']);
    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }

  public function auswahl() {
    unset($_SESSION['login']);
    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }

  public function about() {
    unset($_SESSION['login']);
    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }
*/
  public function impressum() {
    unset($_SESSION['login']);
    session_regenerate_id(true);      // nicht zwingend aber schadet nicht
  }
}
?>
